Package docking.widgets.textfield

# Class LocalDateTextField

java.lang.Object
docking.widgets.textfield.LocalDateTextField

public class LocalDateTextField extends Object
Text field for entering dates. Optionally, a minimum and maximum date value can be set on this text field.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LocalDateTextField(String dateFormatPattern)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addActionListener(ActionListener listener)`
  `void`
  `addChangeListener(ChangeListener listener)`
  Adds a change listener that will be notified whenever the value changes.
  `JComponent`
  `getComponent()`
  `LocalDate`
  `getMaximum()`
  `LocalDate`
  `getMinimum()`
  `JTextField`
  `getTextField()`
  `LocalDate`
  `getValue()`
  `boolean`
  `isShowingFieldMode()`
  `void`
  `removeActionListener(ActionListener listener)`
  `void`
  `removeChangeListener(ChangeListener listener)`
  Removes the changes listener.
  `void`
  `requestFocus()`
  `void`
  `selectAll()`
  `void`
  `setDayMode()`
  Sets the mode to Day.
  `void`
  `setEnabled(boolean enabled)`
  `void`
  `setMaximum(LocalDate maximum)`
  Sets the maximum allowed date.
  `void`
  `setMinimum(LocalDate minimum)`
  Sets the minimum allowed date.
  `void`
  `setMonthMode()`
  Sets the mode to Month.
  `void`
  `setShowFieldMode(boolean show)`
  Turns on or off the faded text that indicates if the field is in month or day mode
  `void`
  `setValue(LocalDate newDate)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LocalDateTextField

    public LocalDateTextField(String dateFormatPattern)

- ## Method Details

  - ### setMinimum

    public void setMinimum(LocalDate minimum)
    Sets the minimum allowed date. Can be null.
    Parameters:
      `minimum` - the minimum allowed date.

  - ### setMaximum

    public void setMaximum(LocalDate maximum)
    Sets the maximum allowed date. Can be null.
    Parameters:
      `maximum` - the minimum allowed date.

  - ### setValue

    public void setValue(LocalDate newDate)

  - ### getValue

    public LocalDate getValue()

  - ### getMinimum

    public LocalDate getMinimum()

  - ### getMaximum

    public LocalDate getMaximum()

  - ### setShowFieldMode

    public void setShowFieldMode(boolean show)
    Turns on or off the faded text that indicates if the field is in month or day mode
    Parameters:
      `show` - true to show the mode.

  - ### isShowingFieldMode

    public boolean isShowingFieldMode()

  - ### setMonthMode

    public void setMonthMode()
    Sets the mode to Month.

  - ### setDayMode

    public void setDayMode()
    Sets the mode to Day.

  - ### getTextField

    public JTextField getTextField()

  - ### getComponent

    public JComponent getComponent()

  - ### setEnabled

    public void setEnabled(boolean enabled)

  - ### requestFocus

    public void requestFocus()

  - ### selectAll

    public void selectAll()

  - ### addActionListener

    public void addActionListener(ActionListener listener)

  - ### removeActionListener

    public void removeActionListener(ActionListener listener)

  - ### addChangeListener

    public void addChangeListener(ChangeListener listener)
    Adds a change listener that will be notified whenever the value changes.
    Parameters:
      `listener` - the change listener to add.

  - ### removeChangeListener

    public void removeChangeListener(ChangeListener listener)
    Removes the changes listener.
    Parameters:
      `listener` - the listener to be removed.